Bug 1124836 - [abrt] binutils: hash_traverse(): as killed by SIGSEGV
Summary: [abrt] binutils: hash_traverse(): as killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: binutils
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9bd51552d06cd7904196d0f287f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 12:28 UTC by Frank Crawford
Modified: 2015-06-29 21:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:51:21 UTC


Attachments (Terms of Use)
File: backtrace (3.64 KB, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details
File: cgroup (163 bytes, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details
File: core_backtrace (965 bytes, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details
File: dso_list (667 bytes, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details
File: environ (10.23 KB, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details
File: maps (3.29 KB, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details
File: proc_pid_status (922 bytes, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details
File: var_log_messages (33.36 KB, text/plain)
2014-07-30 12:28 UTC, Frank Crawford
no flags Details

Description Frank Crawford 2014-07-30 12:28:01 UTC
Version-Release number of selected component:
binutils-2.23.88.0.1-13.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        as -I /usr/src/linux-3.14/arch/x86/include -I arch/x86/include/generated -I include -I /usr/src/linux-3.14/arch/x86/include/uapi -I arch/x86/include/generated/uapi -I /usr/src/linux-3.14/include/uapi -I include/generated/uapi -I include/drm -I drivers/gpu/drm/nouveau/core/include -I drivers/gpu/drm/nouveau/core -I drivers/gpu/drm/nouveau --64 -o /root/.ccache/e/d/58187ba28c11ecd722a864de050763-1463753.o.tmp.cnc.crawford.emu.id.au.11531
crash_function: hash_traverse
executable:     /usr/bin/as
kernel:         3.14.4
open_fds:       
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
[New LWP 11536]
Core was generated by `as -I /usr/src/linux-3.14/arch/x86/include -I arch/x86/include/generated -I inc'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  hash_traverse (table=0x1814070, pfn=pfn@entry=0x4240d0 <resolve_local_symbol>) at hash.c:368
368		(*pfn) (p->string, p->data);

Thread 1 (LWP 11536):
#0  hash_traverse (table=0x1814070, pfn=pfn@entry=0x4240d0 <resolve_local_symbol>) at hash.c:368
        p = 0x100000
        i = 16540
#1  0x0000000000421e01 in resolve_local_symbol_values () at symbols.c:1496
No locals.
#2  0x000000000042888d in write_object_file () at write.c:1985
        rsi = {pass = 2, changed = 0}
#3  0x00000000004044e4 in main (argc=1, argv=0x18146d0) at as.c:1289
        argv_orig = <optimized out>
        macro_strip_at = 0
        __PRETTY_FUNCTION__ = "main"
From                To                  Syms Read   Shared Object Library
0x000000361e62c7e0  0x000000361e6341b4  Yes         /lib64/libopcodes-2.23.2.so
0x000000361ee3b2a0  0x000000361eecb7b4  Yes         /lib64/libbfd-2.23.2.so
0x000000361ea00ed0  0x000000361ea019d0  Yes         /lib64/libdl.so.2
0x000000361f202210  0x000000361f20e930  Yes         /lib64/libz.so.1
0x000000361e21f560  0x000000361e360bb4  Yes         /lib64/libc.so.6
0x000000361de00b10  0x000000361de19c70  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x2b96d75b5020	47926858174496
rbx            0x100000	1048576
rcx            0x184f610	25490960
rdx            0x409c	16540
rsi            0x0	0
rdi            0x1817d70	25263472
rbp            0x4240d0	0x4240d0 <resolve_local_symbol>
rsp            0x7fffd6fd7d60	0x7fffd6fd7d60
r8             0x0	0
r9             0x1	1
r10            0x1	1
r11            0x1	1
r12            0x409c	16540
r13            0x1814070	25247856
r14            0x18146d0	25249488
r15            0x1	1
rip            0x410c00	0x410c00 <hash_traverse+48>
eflags         0x10206	[ PF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function hash_traverse:
   0x0000000000410bd0 <+0>:	push   %r13
   0x0000000000410bd2 <+2>:	mov    %rdi,%r13
   0x0000000000410bd5 <+5>:	push   %r12
   0x0000000000410bd7 <+7>:	xor    %r12d,%r12d
   0x0000000000410bda <+10>:	push   %rbp
   0x0000000000410bdb <+11>:	mov    %rsi,%rbp
   0x0000000000410bde <+14>:	push   %rbx
   0x0000000000410bdf <+15>:	sub    $0x8,%rsp
   0x0000000000410be3 <+19>:	mov    0x8(%rdi),%eax
   0x0000000000410be6 <+22>:	test   %eax,%eax
   0x0000000000410be8 <+24>:	je     0x410c1c <hash_traverse+76>
   0x0000000000410bea <+26>:	nopw   0x0(%rax,%rax,1)
   0x0000000000410bf0 <+32>:	mov    0x0(%r13),%rax
   0x0000000000410bf4 <+36>:	mov    %r12d,%edx
   0x0000000000410bf7 <+39>:	mov    (%rax,%rdx,8),%rbx
   0x0000000000410bfb <+43>:	test   %rbx,%rbx
   0x0000000000410bfe <+46>:	je     0x410c12 <hash_traverse+66>
=> 0x0000000000410c00 <+48>:	mov    0x18(%rbx),%rsi
   0x0000000000410c04 <+52>:	mov    0x8(%rbx),%rdi
   0x0000000000410c08 <+56>:	callq  *%rbp
   0x0000000000410c0a <+58>:	mov    (%rbx),%rbx
   0x0000000000410c0d <+61>:	test   %rbx,%rbx
   0x0000000000410c10 <+64>:	jne    0x410c00 <hash_traverse+48>
   0x0000000000410c12 <+66>:	add    $0x1,%r12d
   0x0000000000410c16 <+70>:	cmp    %r12d,0x8(%r13)
   0x0000000000410c1a <+74>:	ja     0x410bf0 <hash_traverse+32>
   0x0000000000410c1c <+76>:	add    $0x8,%rsp
   0x0000000000410c20 <+80>:	pop    %rbx
   0x0000000000410c21 <+81>:	pop    %rbp
   0x0000000000410c22 <+82>:	pop    %r12
   0x0000000000410c24 <+84>:	pop    %r13
   0x0000000000410c26 <+86>:	retq   
End of assembler dump.

Comment 1 Frank Crawford 2014-07-30 12:28:04 UTC
Created attachment 922553 [details]
File: backtrace

Comment 2 Frank Crawford 2014-07-30 12:28:05 UTC
Created attachment 922554 [details]
File: cgroup

Comment 3 Frank Crawford 2014-07-30 12:28:07 UTC
Created attachment 922555 [details]
File: core_backtrace

Comment 4 Frank Crawford 2014-07-30 12:28:08 UTC
Created attachment 922556 [details]
File: dso_list

Comment 5 Frank Crawford 2014-07-30 12:28:10 UTC
Created attachment 922557 [details]
File: environ

Comment 6 Frank Crawford 2014-07-30 12:28:11 UTC
Created attachment 922558 [details]
File: exploitable

Comment 7 Frank Crawford 2014-07-30 12:28:12 UTC
Created attachment 922559 [details]
File: limits

Comment 8 Frank Crawford 2014-07-30 12:28:14 UTC
Created attachment 922560 [details]
File: maps

Comment 9 Frank Crawford 2014-07-30 12:28:15 UTC
Created attachment 922561 [details]
File: proc_pid_status

Comment 10 Frank Crawford 2014-07-30 12:28:17 UTC
Created attachment 922562 [details]
File: var_log_messages

Comment 11 Daniel Miranda 2014-11-05 02:07:13 UTC
This looks like what I ran into in F21:

https://bugzilla.redhat.com/show_bug.cgi?id=1160498

Comment 12 Fedora End Of Life 2015-05-29 12:31:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:51:21 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.